Updates the card PAN information associated with a token
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| profileNumber | String | 1-20 characters | ✓ | Profile number linked with this card |
| oldCardIdentifier | String | 1-10 characters | ✓ | Card number or tracking number of the card to transfer the token from |
| newCardIdentifier | String | 1-10 characters | ✓ | Card number or tracking number of the card to transfer the token to |
| expiryDate | Date | ✓ | Date which specifies when the card expires | |
| reasonCode | String | ✓ | Reason for the update. Valid values:
| |
| transactionID | String | 1-255 characters | ✓ | Transaction ID number generated by the calling client |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA1 or HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0" encoding="UTF-8"?>
<methodCall>
<methodName>UpdateTokenAccount</methodName>
<params>
<param>
<value>
<string>0019281816</string>
</value>
</param>
<param>
<value>
<string>66816921087</string>
</value>
</param>
<param>
<value>
<string>5338929641845427</string>
</value>
</param>
<param>
<value>
<string>5338921954278213</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200206</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>ACCOUNT_UPDATE</string>
</value>
</param>
<param>
<value>
<string>12345678945</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200206T18:43:51</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>E4045FD7F44C3EA80BDF3EFB415D6D9CCA20F3A4</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>OK</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>Response Codes
| Code | Description |
|---|---|
| 1 | Ok |
| -10 | Custom error message (see ResultText field for description) |
| -395 | Card not linked to profile |
| -396 | Profile not linked to terminal |
| -398 | Card not allocated |
Error Objects
Error Fault for invalid checksum authentication is the following message:
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<fault>
<value>
<struct>
<member>
<name>faultCode</name>
<value>
<int>-8</int>
</value>
</member>
<member>
<name>faultString</name>
<value>
<string>Authentication failed</string>
</value>
</member>
</struct>
</value>
</fault>
</methodResponse>